http_port 3130
icp_port 3132
hierarchy_stoplist cgi-bin ?
acl QUERY urlpath_regex cgi-bin \?
no_cache deny QUERY
cache_mem 80 MB
maximum_object_size 1024 KB
cache_dir ufs /var/spool/squid 4096 16 256
dns_nameservers 127.0.0.1
acl all src 0.0.0.0/0.0.0.0
acl manager proto cache_object
acl localhost src 127.0.0.1/255.255.255.255
acl firma src 192.168.1.0/255.255.255.0
acl SSL_ports port 443 563
acl Safe_ports port 80		# http
acl Safe_ports port 21		# ftp
acl Safe_ports port 443 563	# https, snews
acl Safe_ports port 70		# gopher
acl Safe_ports port 210		# wais
acl Safe_ports port 1025-65535	# unregistered ports
acl Safe_ports port 280		# http-mgmt
acl Safe_ports port 488		# gss-http
acl Safe_ports port 591		# filemaker
acl Safe_ports port 777		# multiling http
acl Safe_ports port 901		# SWAT
acl purge method PURGE
acl CONNECT method CONNECT
acl blacklist url_regex -i "/etc/squid/blacklist.txt"
acl whitelist url_regex -i "/etc/squid/whitelist.txt"
http_access allow manager localhost
http_access deny manager
http_access allow purge localhost
http_access deny purge
http_access deny !Safe_ports
http_access deny CONNECT !SSL_ports
http_access allow whitelist
http_access deny blacklist
http_access allow firma
http_access allow localhost
http_access deny all
icp_access allow all
cache_mgr t.strusch@firma.local
cache_effective_user proxy
cache_effective_group proxy
error_directory /usr/lib/squid/errors/German
